#--------------------------------------------------------------------
#to compile vzgot opensrc library
#--------------------------------------------------------------------
debug	:
	  @ $(MAKE)						\
	        OPTIME="-g"					\
		DEBUG="-DDEBUG"					\
		YVERB="-v"					\
		memlib

prod	:
	  @ $(MAKE)						\
		OPTIME="-g3"					\
	        memlib

memlib	:
	  @ $(MAKE) $(VZLB)

clean	:
	   @ - rm -f $(VZLB) $(OBJS)
	   @ - rm -f *~

#--------------------------------------------------------------------
#Object file list to generate
OBJS=								\
	unicnt.o unilck.o					\
	subapl.o subprc.o					\
	utlvec.o utlprc.o					\
	dbgmem.o

VZLB= 								\
       vzlb.a
#--------------------------------------------------------------------
#dependancies
vzlb.a	:  $(OBJS)
	   ar -cr vzlb.a $(OBJS)
#--------------------------------------------------------------------
#'C' Definition

unicnt.o:							\
	  lowtyp.h						\
	  dbgmem.h						\
	  subapl.h						\
	  unicnt.h unicnt.c

uniclk.o:							\
	  lowtyp.h						\
	  dbgmem.h						\
	  subapl.h						\
	  unilck.h unilck.c

subprc.o:							\
	  lowtyp.h						\
	  dbgmem.h						\
	  utlvec.h						\
	  subprc.h subprc.c

subapl.o:							\
	  lowtyp.h						\
	  dbgmem.h						\
	  utlprc.h						\
	  subapl.h subapl.c

utlprc.o:							\
	  lowtyp.h						\
	  dbgmem.h						\
	  utlprc.h utlprc.c

utlvec.o:							\
	  lowtyp.h						\
	  dbgmem.h						\
	  utlvec.h utlvec.c

dbgmem.o:							\
	  dbgmem.h dbgmem.c

#--------------------------------------------------------------------
#compiler options
YFLAGS= -p $* $(YVERB)
CC=gcc $(OPTIME) $(DEBUG) $(POSTGRESQL) $(MYSQL)
CFLAGS=-I .							\
	-DUCD_COMPATIBLE -std=gnu99 -pedantic -D_GNU_SOURCE	\
	-Wall -Wshadow -DDIST_$(DIST)
#--------------------------------------------------------------------
