#!/bin/sh
#
# vzgot		This shell script takes care of starting and stopping
#               vzgot container with the "ON" status
#
# description:	Scan vzgot vdir directory to find out about container
#		and start them if requested.
#
# chkconfig: - 98 2
#   description: Startup/shutdown vzgot containers
### BEGIN INIT INFO
# Provides: vzgot
# Required-Start: network
# Required-Stop:
# Default-Start: 
# Default-Stop: 0 1 6
# Short-Description: starting container
### END INIT INFO


#basic function
[ -f  /etc/rc.d/init.d/functions ] && . /etc/rc.d/init.d/functions

if [ -f /etc/vzgot/vzgot_config ] ; then
  . /etc/vzgot/vzgot_config
  fi

#------------------------------------------------------------------
vzgotstart()

{
echo -n "Vzgot starting" && success || failure
echo
count=0
for cont in `ls $VZLIB/vzdir` 
  do
  if ! [ -f $VZLIB/vzdir/status ] ; then
    . $VZLIB/vzdir/$cont/status

    case "$BOOT" in 
      "ON"	)
	if ! [ -f $VZLIB/vzdir/$cont/first.pid ] ; then
	  BOOTLOG=$VZLIB/vzdir/$cont/bootlog
	  date > $BOOTLOG
          echo -n "Booting container $cont"
          vzgot boot $cont && success || failure
    	  echo
	  count=`expr $count + 1`
	  fi
        ;;
      "*"	)
        ;;
      esac
    fi
  done
echo -n "vzgot: $count container started" && success || failure
echo 
}

vzgotstop()

{
echo -n "Vzgot stopping" && success || failure
echo
for cont in `ls $VZLIB/vzdir` 
  do
  if [ -f $VZLIB/vzdir/$cont/first.pid ] ; then
    echo -n "Halting container $cont"
    vzgot shutdown $cont && success || failure
    echo
    while [ -f /$VZLIB/vzdir/$cont/first.pid ] ; do
      sleep 1
      done
    fi
  done
echo -n "vzgot: all container now down" && success || failure
echo
}

#------------------------------------------------------------------
case "$1" in
  start)
	# Start daemons.
        touch /var/lock/subsys/vzgot
	vzgotstart
        
	;;

  stop)
	# Stopping daemons.
	vzgotstop
        rm -f /var/lock/subsys/vzgot
	;;

  restart)
	$0 stop
	$0 start
	;;

  reload)
	echo "Nothing to do"
	;;

  status)
	status $PROG
	;;
  *)
	echo "Usage: regulus {start|stop|restart|status}"
	exit 1
esac

exit 0

