#-----------------------------------------------------------
#Fichier des definition des SPEC d'installation
#-----------------------------------------------------------
#to define the revision numer
%define revision %(R="$Revision: 0.84.0.0 $"; RR="${R##: }"; echo ${RR%% ?})
%define rversion %(echo %{revision} | cut -d'.' -f1-2)
%define rrelease %(echo %{revision}| cut -d'.' -f4)
%define revdate %(R="$Date: 2010/03/06 16:39:08 $"; RR="${R##: }"; echo ${RR%% ?})
%define sversion %(echo %{revdate} | cut -d' ' -f1 | tr -d '/')
%define ddist %(echo %{?dist}| tr -d '.')
#-----------------------------------------------------------
%{?!mark:%define mark fedora}

%if "%mark" == "fedora"
%define locmark %{?dist}
%endif

%if "%mark" == "safe"
%define locmark .%{?dist}.%{mark}
%endif
#-----------------------------------------------------------
Name: vzgot
Summary: An application to drive linux container
Group: System Environment/Daemons
Version: %{rversion}.%{rrelease}
Release: %{?sversion}%{?locmark}
License: GPLv2
Source: ftp://ftp.safe.ca/pub/srctgz/%{name}-%{version}.tgz
URL: http://www.%{name}.safe.ca/index.html
Vendor: SAFE Inc.
Requires: kernel >= 2.6.24
Requires: util-linux-ng
Requires: bridge-utils
Requires: /usr/sbin/brctl,/sbin/ip,/bin/ps,/usr/bin/wc
Requires: /sbin/chkconfig
Requires: /bin/chmod,/bin/sed,/bin/sh,/bin/ln
#---------------------------------------------------------------
buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
vzgot is a set of tool to manage linux container
it allow to run a wide range of distribution
(from RH-7.3 to FC12, Centos-4.6 to Centos-5.3)
while using a plain linux kernel (above 2.6.24).


%files
#%defattr(0640,root,root,0755)
%doc %{name}-%{version}*.build_date
%doc README Changes QUICK-START
%{_var}/lock/%{name}
%{_var}/lib/%{name}/RPM
%{_var}/lib/%{name}/vzdir
%{_var}/lib/%{name}/etc/ssh
%{_var}/lib/%{name}/home
%{_var}/lib/%{name}/cgroup.d
%{_var}/lib/%{name}/vztemplate
%{_initrddir}/%{name}
%{_usr}/sbin/%{name}
%{_usr}/sbin/%{name}.mksrvz
%{_usr}/sbin/%{name}.redoall
%{_var}/lib/%{name}/shell/%{name}.net
%{_var}/lib/%{name}/shell/%{name}.fboot
%{_var}/lib/%{name}/shell/%{name}.fboot.redhat
%{_var}/lib/%{name}/shell/%{name}.fboot.debian
%{_var}/lib/%{name}/shell/%{name}.open
%{_var}/lib/%{name}/shell/%{name}.close
%{_var}/lib/%{name}/shell/%{name}.start
%{_var}/lib/%{name}/shell/%{name}.create
%{_var}/lib/%{name}/shell/%{name}.destroy

%config(noreplace) %{_sysconfdir}/%{name}/vzgot_config
%config(noreplace) %{_sysconfdir}/%{name}/vzgot_list
%config(noreplace) %{_var}/lib/%{name}/etc/shadow
%config(noreplace) %{_var}/lib/%{name}/etc/resolv.conf
%config(noreplace) %{_var}/lib/%{name}/etc/groups
%config(noreplace) %{_var}/lib/%{name}/etc/users
%config(noreplace) %{_var}/lib/%{name}/etc/sudoers
%config(noreplace) %{_var}/lib/%{name}/etc/sysconfig/iptables
%config(noreplace) %{_var}/lib/%{name}/etc/snmp/snmpd.conf

#-----------------------------------------------------------
#This is the RPM install/upgrade/remove directive
#-----------------------------------------------------------
#before install or upgrade
%pre

#after install or upgrade
%post
if [ "$1" = 1 ]; then
 /sbin/chkconfig %{name} on 2>/dev/null || :
 #extracting HOST root password to be used as container common password
 /bin/chmod 600 %{_var}/lib/%{name}/etc/shadow
 /bin/sed 's/#.*//g' /etc/shadow	|  \
	grep -v '^[[:space:]]*$' 	|  \
	grep root >>  %{_var}/lib/%{name}/etc/shadow
 #extracting HOST nameserver to be used by container
 /bin/sed 's/#.*//g' /etc/resolv.conf 	   \
	>> %{_var}/lib/%{name}/etc/resolv.conf
 fi

#before upgrade or remove
%postun

#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  %{_initrddir}/%{name} stop 2>/dev/null || :
  /sbin/chkconfig --del %{name} 2>/dev/null || :
  fi

#-----------------------------------------------------------
#common part
#-----------------------------------------------------------
%prep

%setup -q

%build
%{__rm} -rf %{buildroot}
%{?_smp_mflags:%define _smp_mflags -j `/usr/bin/getconf _NPROCESSORS_ONLN`}
%{__make} -s %{?_smp_mflags} DIST=%{?ddist} prod

%clean 
%{__rm} -rf %{buildroot}

%install
#main install
%{__rm} -fr %{buildroot}
mkdir -p -m0755 %{buildroot}
%{__make} -s install DESTDIR=%{buildroot}

%changelog
* Mon Jan 4 2010 Jean-Marc Pigeon <jmp@safe.ca> 0.71.6-20100104
- Bug Fix
   * In none debug flag, vzgot was not returning echo
     from called shell
   * Defining a 'FLINUX' env variable within shell script
     vzgot.mksrvz to be pass to 'vzgot create' and used by
     vzgot.fboot to prepare container with the right
     linux family (RedHat,SUSE,...) structure

* Sun Jan 3 2010 Jean-Marc Pigeon <jmp@safe.ca> 0.71.3-20100104
  * First release
